Skip to main content
`Ctrl`+`K`

# DMSetVI

Marks a `DM` as associated with a VI problem. This causes the interpolation/restriction operators to be restricted to only those variables NOT associated with active constraints.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode DMSetVI(DM dm, IS inactive)

Logically Collective

## Input Parameters

- dm - the `DM` object

- inactive - an `IS` indicating which points are currently not active

## See Also

SNES: Nonlinear Solvers, `SNES`, `SNESVINEWTONRSLS`, `SNESVIGetInactiveSet()`

## Level

intermediate

## Location

src/snes/impls/vi/rs/virs.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages